-----------------------------------------------------------------------------
-- Animal Lineup


-----------------------------------------------------------------------------    
-- PostStage
-- This is called when the round is over and is designed to provide a nice
-- backdrop for subsequent menus and UI that may appear over the scene.
-- Switch to a special camera, etc.  This function can loop indefinately.

function PostStage() 
    end;    


-- turn on the "Game running" menu - may not be needed for this game
EntGame.PushMenu("MenuGameRunning");
EntGame.SetFlag (GF_READYTOSTART);
EntGame.SetStageTimer(18000);

-- load world
SetupWorld("Maps\\AnimalLineup\\AnimalLineup.ini", "","","");
--EntGame.CreatePlayerEntities();

x = 128;
spacing = 3;
entLookAt= Entity.FindName(entRoot, "Baobab03");
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_IMPALA_F,       x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_IMPALA_M,       x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_NILECROC_M,       x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing
A = EntGame.SpawnAnimalPos(AID_WILDEBEEST_F,   x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_WILDEBEEST_M,   x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_KUDU_F,      x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_KUDU_M,      x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_LEOPARD_M,      x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_HIPPO_M,      x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_RHINO_M,        x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_ELEPHANT_M,     x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
x=x+spacing;
A = EntGame.SpawnAnimalPos(AID_LION_M,     x, 32, 128, ST_GRAZING, 5000.0);
		Animal.FaceEntity(A, entLookAt);
		

-- setup tournament logic    
--EntGame.TourneyPrepare();           

-- go black
FadeSetBlack();

-- wait for the game running menu to be created - this may be fixed later
Script.WaitFrame(1);

FadeIn();

Script.WaitSec(1.0);

-- give the player control of the fisherman entity - must always be named Player0
EntGame.BindCameraToEntity("Observer0");
EntGame.BindInputToEntity("Observer0");

EntGame.EnablePlayerControl(true);